@echo off
rem Edit this variable to point to
rem the openssl.cnf file included
rem with easy-rsa.

IF EXIST "%ProgramFiles(x86)%\OpenVPN\easy-rsa" (
GOTO :x64
)

:x32
set HOME=%ProgramFiles%\OpenVPN\easy-rsa
GOTO :common

:x64
set HOME=%ProgramFiles(x86)%\OpenVPN\easy-rsa

:common
set KEY_CONFIG=openssl-1.0.0.cnf
@echo Home directory: %HOME%

rem Edit this variable to point to
rem your soon-to-be-created key
rem directory.
rem
rem WARNING: clean-all will do
rem a rm -rf on this directory
rem so make sure you define
rem it correctly!
set KEY_DIR=keys

rem Increase this to 2048 if you
rem are paranoid.  This will slow
rem down TLS negotiation performance
rem as well as the one-time DH parms
rem generation process.
set KEY_SIZE=1024

rem These are the default values for fields
rem which will be placed in the certificate.
rem Change these to reflect your site.
rem Don't leave any of these parms blank.

set KEY_COUNTRY=CZ
set KEY_PROVINCE=MW
set KEY_CITY=Cyprona
set KEY_ORG=Manawydan
set KEY_EMAIL=server@manawydan.cz
set KEY_CN=changeme
set KEY_NAME=changeme
set KEY_OU=RT
set PKCS11_MODULE_PATH=changeme
set PKCS11_PIN=1234
